Public Attributes | List of all members
pwm_coding_init_t Struct Reference
Peripheral Driver » HAL Driver » PWM » Structures » PWM Configuration

PWM Coding Init Structure definition. More...

`#include <gr533x_hal_pwm.h>`

## Public Attributes
uint32_t | period
uint32_t | waiting_time
uint8_t | data_width_valid
uint8_t | coding_channel_select
pwm_coding_channel_init_t | channel_a
pwm_coding_channel_init_t | channel_b
pwm_coding_channel_init_t | channel_c

## Detailed Description

PWM Coding Init Structure definition.

Definition at line 192 of file gr533x_hal_pwm.h.

## Member Data Documentation

## ◆ channel_a

pwm_coding_channel_init_t pwm_coding_init_t::channel_a

Specifies the configuration of channelA in coding mode. This parameter can be a value of pwm_coding_channel_init_t.

Definition at line 207 of file gr533x_hal_pwm.h.

## ◆ channel_b

pwm_coding_channel_init_t pwm_coding_init_t::channel_b

Specifies the configuration of channelB in coding mode. This parameter can be a value of pwm_coding_channel_init_t.

Definition at line 210 of file gr533x_hal_pwm.h.

## ◆ channel_c

pwm_coding_channel_init_t pwm_coding_init_t::channel_c

Specifies the configuration of channelC in coding mode. This parameter can be a value of pwm_coding_channel_init_t.

Definition at line 213 of file gr533x_hal_pwm.h.

## ◆ coding_channel_select

uint8_t pwm_coding_init_t::coding_channel_select

Specifies the coding channel select all 3 channels or only channel A. This parameter can be a value of PWM coding channel select in coding mode

Definition at line 204 of file gr533x_hal_pwm.h.

## ◆ data_width_valid

uint8_t pwm_coding_init_t::data_width_valid

Specifies the coding data valid width in Coding mode. This parameter control coding data valid width = DATA_WIDTH_VALID + 1, DATA_WIDTH_VALID value ranges between Min_Data = 0x0 and Max_Data = 0x1F.

Definition at line 200 of file gr533x_hal_pwm.h.

## ◆ period

uint32_t pwm_coding_init_t::period

Specifies the period value which will be used configure PWM output frequency in coding mode. This parameter must be a number ranges between Min_Data = 0 and Max_Data = SysCoreCLK.

Definition at line 194 of file gr533x_hal_pwm.h.

## ◆ waiting_time

uint32_t pwm_coding_init_t::waiting_time

Specifies the waiting time before PWM waveform generation in coding mode. This parameter control PWM waiting time count in the coding mode.

Definition at line 197 of file gr533x_hal_pwm.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_pwm.h